The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Apache и PHP"
Вариант для распечатки  
Пред. тема | След. тема 
Форум WEB технологии (PHP)
Изначальное сообщение [ Отслеживать ]

"Apache и PHP"  +1 +/
Сообщение от glupoylax (ok) on 02-Июл-13, 10:23 
Установив апач, мне понадобился roundcube, для которого нужен PHP. Установив PHP, апач при запуске кричит, что ему нужен libphp5.so, которого у меня нету на винте в принципе, хотя эта библиотека должна была установиться вместе с PHP. Товарищи, помогите. ОСь FreeBSD.
Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Apache и PHP"  +/
Сообщение от михалыч (ok) on 02-Июл-13, 10:46 
> Установив апач, мне понадобился roundcube, для которого нужен PHP. Установив PHP, апач
> при запуске кричит, что ему нужен libphp5.so, которого у меня нету
> на винте в принципе, хотя эта библиотека должна была установиться вместе
> с PHP. Товарищи, помогите. ОСь FreeBSD.

Громко кричит?
Типа: - Эй! Алло, гараж!
Ты какую версию пыха мне поставил?! Четвертую?
И поставил ли вообще!

Приз в студию! Тьфу! Версию php
php -v | sed q | awk '{print $1,$2}'

Лучше сразу это проверить ))
ls /usr/local/libexec/apach*/ | grep php

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

4. "Apache и PHP"  +/
Сообщение от glupoylax (ok) on 02-Июл-13, 11:09 
>[оверквотинг удален]
>> на винте в принципе, хотя эта библиотека должна была установиться вместе
>> с PHP. Товарищи, помогите. ОСь FreeBSD.
> Громко кричит?
> Типа: - Эй! Алло, гараж!
> Ты какую версию пыха мне поставил?! Четвертую?
> И поставил ли вообще!
> Приз в студию! Тьфу! Версию php
> php -v | sed q | awk '{print $1,$2}'
> Лучше сразу это проверить ))
> ls /usr/local/libexec/apach*/ | grep php

пхп ставил пятый, по команде ls /usr/local/libexec/apach*/ | grep php ничего не происходит =(

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

2. "Apache и PHP"  +/
Сообщение от PavelR (??) on 02-Июл-13, 10:49 
> хотя эта библиотека должна была установиться вместе с PHP.

Не должна, пока не было выбрано mod_php


Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

6. "Apache и PHP"  +/
Сообщение от glupoylax (ok) on 02-Июл-13, 11:18 
>> хотя эта библиотека должна была установиться вместе с PHP.
> Не должна, пока не было выбрано mod_php

а где его выбрать?

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

3. "Apache и PHP"  +/
Сообщение от hizel (ok) on 02-Июл-13, 10:53 
Пересоберите с поддержкой apache. Hint: make config.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

5. "Apache и PHP"  +/
Сообщение от glupoylax (ok) on 02-Июл-13, 11:12 
> Пересоберите с поддержкой apache. Hint: make config.

пересобрал, не помогло

Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

7. "Apache и PHP"  +/
Сообщение от PavelR (ok) on 02-Июл-13, 11:34 
>> Пересоберите с поддержкой apache. Hint: make config.
> пересобрал, не помогло

приведите журнал ваших действий.

Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

8. "Apache и PHP"  +/
Сообщение от glupoylax (ok) on 02-Июл-13, 11:36 
>>> Пересоберите с поддержкой apache. Hint: make config.
>> пересобрал, не помогло
> приведите журнал ваших действий.

# make config
В списке выбираю апач
И все

Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

9. "Apache и PHP"  +/
Сообщение от glupoylax (ok) on 02-Июл-13, 11:36 
>>>> Пересоберите с поддержкой apache. Hint: make config.
>>> пересобрал, не помогло
>> приведите журнал ваших действий.
> # make config
> В списке выбираю апач
> И все

явно что то не так

Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

10. "Apache и PHP"  +1 +/
Сообщение от михалыч (ok) on 02-Июл-13, 11:58 
>>>>> Пересоберите с поддержкой apache. Hint: make config.
>>>> пересобрал, не помогло
>>> приведите журнал ваших действий.
>> # make config
>> В списке выбираю апач
>> И все
> явно что то не так

Для очистки совести, а заодно и соответствующего порта

cd /usr/ports/lang/php5
make deinstall
make clean
make rmconfig
make install clean (отметить apache)
rehash

(что бы ещё посмаковать? ))

Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

11. "Apache и PHP"  +/
Сообщение от glupoylax (ok) on 02-Июл-13, 12:07 
>[оверквотинг удален]
>>> И все
>> явно что то не так
> Для очистки совести, а заодно и соответствующего порта
> cd /usr/ports/lang/php5
> make deinstall
> make clean
> make rmconfig
> make install clean (отметить apache)
> rehash
> (что бы ещё посмаковать? ))

меню конфигурации странно работает
вместо того, чтобы выбрать модуль апача, из этого меню просто выкидывает и устанавливается
обычный пхп

Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

12. "Apache и PHP"  +/
Сообщение от михалыч (ok) on 02-Июл-13, 12:25 
>[оверквотинг удален]
>> make deinstall
>> make clean
>> make rmconfig
>> make install clean (отметить apache)
>> rehash
>> (что бы ещё посмаковать? ))
> меню конфигурации странно работает
> вместо того, чтобы выбрать модуль апача, из этого меню просто выкидывает и
> устанавливается
> обычный пхп

Ну вас же выше попросили привести журнал ваших действий.

А может пристрелить, что б не мучился? (шутка)

Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

13. "Apache и PHP"  +/
Сообщение от glupoylax (ok) on 02-Июл-13, 12:54 
>[оверквотинг удален]
>>> make rmconfig
>>> make install clean (отметить apache)
>>> rehash
>>> (что бы ещё посмаковать? ))
>> меню конфигурации странно работает
>> вместо того, чтобы выбрать модуль апача, из этого меню просто выкидывает и
>> устанавливается
>> обычный пхп
> Ну вас же выше попросили привести журнал ваших действий.
> А может пристрелить, что б не мучился? (шутка)

я сделал так:
# cd /usr/ports/lang/php5
# make deinstall
# make clean
# make rmconfig
# make install clean
На этом моменте мне было предложено поставить апачевские библиотеки, но выбрать их я не могу. После нажатия ОК устанавливается обычный ПХП
# rehash
Вот видимо поэтому ничего не работает.
Если можно, скиньте библиотеки апача, пожалуйста
П.С. пожалуй пристрелиться не помешало бы

Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

14. "Apache и PHP"  +/
Сообщение от hizel (ok) on 02-Июл-13, 13:10 
> На этом моменте мне было предложено поставить апачевские библиотеки, но выбрать их
> я не могу. После нажатия ОК устанавливается обычный ПХП

Откройте для себя клавишу пробел(она самая большая и фалличная на клавиатуре).

Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

15. "Apache и PHP"  +/
Сообщение от михалыч (ok) on 02-Июл-13, 13:12 
>[оверквотинг удален]
> # make deinstall
> # make clean
> # make rmconfig
> # make install clean
> На этом моменте мне было предложено поставить апачевские библиотеки, но выбрать их
> я не могу. После нажатия ОК устанавливается обычный ПХП
> # rehash
> Вот видимо поэтому ничего не работает.
> Если можно, скиньте библиотеки апача, пожалуйста
> П.С. пожалуй пристрелиться не помешало бы

Я не понимаю, что вы там такое делаете, какие манипуляции производите.
Здесь нет никакого шаманства.
Идём в порт.
cd /usr/ports/lang/php5
удаляем старый конфиг сборки порта
make rmconfig
создаём новый конфиг
make config
в появившемся меню выбрать сборку apache как модуля для php
[ ] APACHE Build Apache module
то есть отметить крестиком чекбокс с apache
(если что, то это делается пробельной клавишей)
после табом переключиться на [OK]
Всё.
Можно проверить набрав еще раз
make config
Чекбокс должен быть уже отмечен.
После этого собираем порт.
make install clean

Короче, я умываю руки, посыпаю голову пеплом.
Моя твоя не понимайт!

Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру